﻿using Microsoft.EntityFrameworkCore;

using TestProject.Models;

namespace TestProject.Data
{
    /// <summary>
    /// 데이터베이스 컨텍스트
    /// </summary>
    public class DatabaseContext : DbContext
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 파일 항목 DB 세트 - FileItemDBSet

        /// <summary>
        /// 파일 항목 DB 세트
        /// </summary>
        public DbSet<FileItemModel> FileItemDBSet { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - DatabaseContext(option)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="option">옵션</param>
        public DatabaseContext(DbContextOptions<DatabaseContext> option) : base(option)
        {
        }

        #endregion
    }
}