using Microsoft.AspNetCore.Mvc.Filters;
using Microsoft.AspNetCore.Mvc.ModelBinding;
using System;
using System.Collections.Generic;

namespace TestProject.Filters
{
    /// <summary>
    ///    ε Ȱ ƮƮ
    /// </summary>
    [AttributeUsage(AttributeTargets.Class | AttributeTargets.Method)]
    public class DisableFormValueModelBindingAttribute : Attribute, IResourceFilter
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ҽ  óϱ - OnResourceExecuting(context)

        /// <summary>
        /// ҽ  óϱ
        /// </summary>
        /// <param name="context">ҽ  ؽƮ</param>
        public void OnResourceExecuting(ResourceExecutingContext context)
        {
            IList<IValueProviderFactory> list = context.ValueProviderFactories;

            list.RemoveType<FormValueProviderFactory>();
            list.RemoveType<FormFileValueProviderFactory>();
            list.RemoveType<JQueryFormValueProviderFactory>();
        }

        #endregion
        #region ҽ  óϱ - OnResourceExecuted(context)

        /// <summary>
        /// ҽ  óϱ
        /// </summary>
        /// <param name="context">ҽ  ؽƮ</param>
        public void OnResourceExecuted(ResourceExecutedContext context)
        {
        }

        #endregion
    }
}